# 报表统计接口文档

#### 查询

[通用查询](/utils/query.md)

### 查询对象报警数量

请求路径：POST /report/query?projectId=Pj1101050029&groupCode=WD&dateType=SEASON

参数说明:

```
projectId:项目id
groupCode:集团编号
dateType:日期类型
```

计算方式取值范围：

```
	/**
	 * 求和
	 */
	SUM,
	/**
	 * 求平均
	 */
	AVG,
	/**
	 * 求最大值
	 */
	MAX,
	/**
	 * 求最小值
	 */
	MIN,
	/**
	 * 求数量
	 */
	COUNT
```

请求参数：

```json
查询字段：
{
    "groupbyColumns": [
        "分组字段"
    ],
    "criteria": {
        "字段名":"字段值，每个报表的字段都不同，详情参考‘数据结构’文件"
    },
    "orders": [
        {
            "column": "排序字段",
            "asc": false
        }
    ],
    "calculatedColumns": [
        {
            "column": "计算列名称",
            "function": "计算方式,参考上方‘计算方式取值范围’"
        }
    ],
    "page": 1,
    "size": 10
}
```
返回数据:

```json
{
    "result": "success",
    "data": [
        {
            "calculatedColumns": [
                {
                    "column": "alarmRecordNum",
                    "function": "SUM",
                    "value": 0
                }
            ],
            "classCode": "ACATFC",
            "dateType": "YEAR"
        }
    ],
    "count": 1
}
```